/*
 Turnigy TGY-i6 RSSI LED Indicator
 Version: 1.0
 Author: Alex from insideGadgets (http://www.insidegadgets.com)
 Created: 3/09/2015
 Last Modified: 3/09/2015
  
 */
 
#ifndef cbi
#define cbi(sfr, bit) (_SFR_BYTE(sfr) &= ~_BV(bit))
#endif
#ifndef sbi
#define sbi(sfr, bit) (_SFR_BYTE(sfr) |= _BV(bit))
#endif

#ifndef NULL
#define NULL ((void *)0)
#endif

#define LOW 0
#define HIGH 1
#define false 0
#define true 1

// Setup the ATtiny
void setup(void) {
	
	// Set outputs
	DDRB |= (1<<PB3) | (1<<PB4);
	
	// Timer - Fast PWM (~1.7ms overflow)
	TCCR0A = 0;
	TCNT0 = 0; // Set Timer0 to 0
	TCCR0B = (1<<CS02);
	OCR0A = 0;
	
	// Turn on interrupt
	sbi(TIMSK, OCIE0A);
	
	// Turn on Timer0 overflow interrupt
	sbi(TIMSK, TOIE0);
	
	sei(); // Turn on interrupts
}
